import { Action, Module, Mutation } from 'vuex';
import { StoreBuilder } from './store-builder';
export declare class ModuleBuilder<State = any, RootState = any> {
    private _storeBuilder;
    private _module;
    private _namespace;
    constructor(storeBuilder: StoreBuilder<RootState>, namespace: string, state: State);
    addAction(name: string, action: Action<State, RootState>): void;
    addMutation(name: string, mutation: Mutation<State>): void;
    commit(name: string, payload: any): void;
    dispatch(name: string, payload: any): void;
    readonly module: Module<State, RootState>;
    readonly namespace: string;
}
